メインコンテンツへスキップ
PATCH
/
media-bridge
/
2026-03
/
{appId}
/
properties
/
{objectType}
/
{propertyName}
Update a property
curl --request PATCH \
  --url https://api.hubapi.com/media-bridge/2026-03/{appId}/properties/{objectType}/{propertyName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "calculationFormula": "<string>",
  "currencyPropertyName": "<string>",
  "description": "<string>",
  "displayOrder": 123,
  "formField": true,
  "groupName": "<string>",
  "hasUniqueValue": true,
  "hidden": true,
  "label": "<string>",
  "options": [
    {
      "displayOrder": 123,
      "hidden": true,
      "label": "<string>",
      "value": "<string>",
      "description": "<string>"
    }
  ],
  "showCurrencySymbol": true
}
'
{
  "allowedObjectTypes": [
    {
      "innerId": 123,
      "metaTypeId": 123
    }
  ],
  "calculated": true,
  "canArchive": true,
  "canRestore": true,
  "createdAt": 123,
  "createdUserId": 123,
  "currencyPropertyName": "<string>",
  "deleted": true,
  "description": "<string>",
  "displayOrder": 123,
  "enforceMultivalueUniqueness": true,
  "externalOptions": true,
  "externalOptionsReferenceType": "<string>",
  "favorited": true,
  "favoritedOrder": 123,
  "fieldType": "<string>",
  "formField": true,
  "fromUserId": 123,
  "groupName": "<string>",
  "hasUniqueValue": true,
  "hidden": false,
  "hubspotDefined": true,
  "isCustomizedDefault": true,
  "isMultiValued": true,
  "isPartial": true,
  "label": "<string>",
  "mutableDefinitionNotDeletable": true,
  "name": "<string>",
  "options": [
    {
      "description": "<string>",
      "displayOrder": 123,
      "doubleData": 123,
      "hidden": true,
      "label": "<string>",
      "readOnly": true,
      "value": "<string>"
    }
  ],
  "optionsAreMutable": true,
  "owningAppId": 123,
  "portalId": 123,
  "readOnlyDefinition": true,
  "readOnlyValue": true,
  "searchableInGlobalSearch": true,
  "sensitiveDataCategories": [
    "<string>"
  ],
  "showCurrencySymbol": true,
  "updatedAt": 123
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須
objectType
string
必須
propertyName
string
必須

ボディ

application/json
calculationFormula
string
currencyPropertyName
string
description
string
displayOrder
integer<int32>
fieldType
enum<string>
利用可能なオプション:
booleancheckbox,
calculation_equation,
checkbox,
date,
file,
html,
number,
phonenumber,
radio,
select,
text,
textarea
formField
boolean
groupName
string
hasUniqueValue
boolean
hidden
boolean
label
string
numberDisplayHint
enum<string>
利用可能なオプション:
currency,
duration,
formatted,
percentage,
probability,
unformatted
options
object[]
showCurrencySymbol
boolean
textDisplayHint
enum<string>
利用可能なオプション:
domain_name,
email,
ip_address,
multi_line,
phone_number,
physical_address,
postal_code,
unformatted_single_line
type
enum<string>
利用可能なオプション:
bool,
date,
datetime,
enumeration,
number,
phone_number,
string

レスポンス

successful operation

A HubSpot property

allowedObjectTypes
object[]
必須

Object types permitted to use this property.

calculated
boolean
必須

Whether the property is a calculated field.

canArchive
boolean
必須
canRestore
boolean
必須
createdAt
integer<int64>
必須

The timestamp when the property was created, in ISO 8601 format.

createdUserId
integer<int64>
必須

The ID of the user who created the property.

currencyPropertyName
string
必須

The name of the related currency property.

dataSensitivity
enum<string>
必須

Indicates the sensitivity level of the property, such as "non_sensitive", "sensitive", or "highly_sensitive".

利用可能なオプション:
high,
none,
standard
dateDisplayHint
enum<string>
必須
利用可能なオプション:
absolute,
absolute_with_relative,
time_since,
time_until
deleted
boolean
必須

Whether the property has been deleted.

description
string
必須

A summary of the property's purpose.

displayMode
enum<string>
必須

The mode in which the property is displayed. Can be: "current_value" or "all_unique_versions".

利用可能なオプション:
all_unique_versions,
current_value
displayOrder
integer<int32>
必須

The position of the item relative to others in the list.

enforceMultivalueUniqueness
boolean
必須
externalOptions
boolean
必須

Applicable only for enumeration type properties. Should be set to true with a 'referencedObjectType' of 'OWNER'. Otherwise false.

externalOptionsReferenceType
string
必須

When externalOptions is true, indicates the property's option values will be populated from other systems (e.g., "OWNER" for the hubspot_owner_id property).

favorited
boolean
必須

Deprecated. Whether the property is marked as a favorite.

favoritedOrder
integer<int32>
必須

Deprecated. The order position when marked as favorited.

fieldType
string
必須

Determines how the property will appear in HubSpot's UI or on a form. Learn more in the properties API guide.

formField
boolean
必須

Whether the property can appear on forms.

fromUserId
integer<int64>
必須

The ID of the user who last updated the property.

groupName
string
必須

The name of the group to which the property is assigned.

hasUniqueValue
boolean
必須

Whether the property is a unique identifier property.

hidden
boolean
必須

Whether or not the property will be hidden from the HubSpot UI. It's recommended that this be set to false for custom properties.

:

false

hubspotDefined
boolean
必須

A boolean value set to true for HubSpot default properties.

isCustomizedDefault
boolean
必須

For default properties, whether the property has been customized. Equivalent to the 'isCustomizedDefault' field.

isMultiValued
boolean
必須

Whether the property can contain multiple values.

isPartial
boolean
必須

For default properties, whether the property has been customized. Equivalent to the 'isCustomizedDefault' field.

label
string
必須

The display label for the property.

mutableDefinitionNotDeletable
boolean
必須

Whether the property definition can be customized but not deleted.

name
string
必須

The internal name for the property.

numberDisplayHint
enum<string>
必須

Hint for how a number property is displayed and validated in HubSpot's UI. Can be: "unformatted", "formatted", "currency", "percentage", "duration", or "probability".

利用可能なオプション:
currency,
duration,
formatted,
percentage,
probability,
unformatted
optionSortStrategy
enum<string>
必須

Specifies how to sort property options. Can be either "DISPLAY_ORDER" to defer to the displayOrder field, or "ALPHABETICAL".

利用可能なオプション:
ALPHABETICAL,
DISPLAY_ORDER
options
object[]
必須

A list of valid options for the property. This field is required for enumerated properties.

optionsAreMutable
boolean
必須

Whether options can be modified after creation.

owningAppId
integer<int64>
必須
portalId
integer<int64>
必須

The ID of the HubSpot account where the property is defined.

readOnlyDefinition
boolean
必須

Whether the property's description is read-only.

readOnlyValue
boolean
必須

Indicates if the property's value is read-only.

referencedObjectType
enum<string>
必須

Deprecated. Use externalOptionsReferenceType instead.

利用可能なオプション:
ABANDONED_CART,
ACCEPTANCE_TEST,
AD,
AD_ACCOUNT,
AD_CAMPAIGN,
AD_GROUP,
AI_FORECAST,
ALL_PAGES,
APPROVAL,
APPROVAL_STEP,
ATTRIBUTION,
AUDIENCE,
AUTOMATION_JOURNEY,
AUTOMATION_PLATFORM_FLOW,
AUTOMATION_PLATFORM_FLOW_ACTION,
BET_ALERT,
BET_DELIVERABLE_SERVICE,
BLOG_LISTING_PAGE,
BLOG_POST,
CALL,
CAMPAIGN,
CAMPAIGN_BUDGET_ITEM,
CAMPAIGN_SPEND_ITEM,
CAMPAIGN_STEP,
CAMPAIGN_TEMPLATE,
CAMPAIGN_TEMPLATE_STEP,
CART,
CASE_STUDY,
CHATFLOW,
CLIP,
CMS_URL,
COMBO_EVENT_CONFIGURATION,
COMMERCE_PAYMENT,
COMMUNICATION,
COMPANY,
CONTACT,
CONTACT_CREATE_ATTRIBUTION,
CONTENT,
CONTENT_AUDIT,
CONTENT_AUDIT_PAGE,
CONVERSATION,
CONVERSATION_INBOX,
CONVERSATION_SESSION,
CRM_OBJECTS_DUMMY_TYPE,
CRM_PIPELINES_DUMMY_TYPE,
CTA,
CTA_VARIANT,
DATA_PRIVACY_CONSENT,
DATA_SYNC_STATE,
DEAL,
DEAL_CREATE_ATTRIBUTION,
DEAL_REGISTRATION,
DEAL_SPLIT,
DISCOUNT,
DISCOUNT_CODE,
DISCOUNT_TEMPLATE,
EMAIL,
ENGAGEMENT,
EXPORT,
EXTERNAL_WEB_URL,
FEE,
FEEDBACK_SUBMISSION,
FEEDBACK_SURVEY,
FILE_MANAGER_FILE,
FILE_MANAGER_FOLDER,
FOLDER,
FORECAST,
FORM,
FORM_SUBMISSION_INBOUNDDB,
GOAL_TARGET,
GOAL_TARGET_GROUP,
GOAL_TEMPLATE,
GSC_PROPERTY,
HUB,
IMPORT,
INVOICE,
KEYWORD,
KNOWLEDGE_ARTICLE,
LANDING_PAGE,
LEAD,
LINE_ITEM,
MARKETING_CALENDAR,
MARKETING_CAMPAIGN_UTM,
MARKETING_EMAIL,
MARKETING_EVENT,
MARKETING_EVENT_ATTENDANCE,
MARKETING_SMS,
MEDIA_BRIDGE,
MEETING_EVENT,
MIC,
NOTE,
OBJECT_LIST,
ORDER,
OWNER,
PARTNER_ACCOUNT,
PARTNER_CLIENT,
PARTNER_CLIENT_REVENUE,
PARTNER_SERVICE,
PAYMENT_LINK,
PAYMENT_SCHEDULE,
PAYMENT_SCHEDULE_INSTALLMENT,
PERMISSIONS_TESTING,
PLAYBOOK,
PLAYBOOK_QUESTION,
PLAYBOOK_SUBMISSION,
PLAYBOOK_SUBMISSION_ANSWER,
PLAYLIST,
PLAYLIST_FOLDER,
PODCAST_EPISODE,
PORTAL,
PORTAL_OBJECT_SYNC_MESSAGE,
POSTAL_MAIL,
PRIVACY_SCANNER_COOKIE,
PRODUCT,
PRODUCT_OR_FOLDER,
PROPERTY_INFO,
PROSPECTING_AGENT_CONTACT_ASSIGNMENT,
PUBLISHING_TASK,
QUARANTINED_SUBMISSION,
QUOTA,
QUOTE,
QUOTE_FIELD,
QUOTE_MODULE,
QUOTE_MODULE_FIELD,
QUOTE_TEMPLATE,
RESTORABLE_CRM_OBJECT,
ROSTER,
ROSTER_MEMBER,
SALES_DOCUMENT,
SALES_TASK,
SALES_WORKLOAD,
SALESFORCE_SYNC_ERROR,
SCHEDULING_PAGE,
SCHEMAS_BACKEND_TEST,
SCORE_CONFIGURATION,
SEQUENCE,
SEQUENCE_ENROLLMENT,
SEQUENCE_STEP,
SEQUENCE_STEP_ENROLLMENT,
SERVICE,
SITE_PAGE,
SNIPPET,
SOCIAL_BROADCAST,
SOCIAL_CHANNEL,
SOCIAL_POST,
SOCIAL_PROFILE,
SOX_PROTECTED_DUMMY_TYPE,
SOX_PROTECTED_TEST_TYPE,
SUBMISSION_TAG,
SUBSCRIPTION,
TASK,
TASK_TEMPLATE,
TAX,
TEMPLATE,
TICKET,
UNKNOWN,
UNSUBSCRIBE,
USER,
VIEW,
VIEW_BLOCK,
WEB_INTERACTIVE
searchTextAnalysisMode
enum<string>
必須
利用可能なオプション:
NONE,
NOT_ANALYZED_TEXT

Whether the property is searchable globaly.

sensitiveDataCategories
string[]
必須

When sensitiveData is true, lists the type of sensitive data contained in the property (e.g., "HIPAA").

showCurrencySymbol
boolean
必須

Whether to show the currency symbol in HubSpot's UI.

textDisplayHint
enum<string>
必須

Hint for how the text is displayed and validated in HubSpot's UI. Can be: "unformatted_single_line", "multi_line", "email", "phone_number", "domain_name", "ip_address", "physical_address", or "postal_code".

利用可能なオプション:
domain_name,
email,
ip_address,
multi_line,
phone_number,
physical_address,
postal_code,
unformatted_single_line
type
enum<string>
必須

The data type of the property, such as string or number.

利用可能なオプション:
bool,
currency_number,
date,
datetime,
enumeration,
json,
number,
object_coordinates,
phone_number,
string
updatedAt
integer<int64>
必須

The timestamp when the property was last updated, in ISO 8601 format.

最終更新日 2026年6月5日